io.flutter.embedding.engine.systemchannels

## Class TextInputChannel.Configuration

- java.lang.Object
- - io.flutter.embedding.engine.systemchannels.TextInputChannel.Configuration

- Enclosing class:
    TextInputChannel

      public static class TextInputChannel.Configuration
      extends Object

  A text editing configuration.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `TextInputChannel.Configuration.Autofill`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `actionLabel`
    `boolean` | `autocorrect`
    `TextInputChannel.Configuration.Autofill` | `autofill`
    `boolean` | `enableSuggestions`
    `TextInputChannel.Configuration[]` | `fields`
    `Integer` | `inputAction`
    `TextInputChannel.InputType` | `inputType`
    `boolean` | `obscureText`
    `TextInputChannel.TextCapitalization` | `textCapitalization`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration(boolean obscureText, boolean autocorrect, boolean enableSuggestions, TextInputChannel.TextCapitalization textCapitalization, TextInputChannel.InputType inputType, Integer inputAction, String actionLabel, TextInputChannel.Configuration.Autofill autofill, TextInputChannel.Configuration[] fields)`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static TextInputChannel.Configuration` | `fromJson(JSONObject json)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### obscureText

          public final boolean obscureText

    - #### autocorrect

          public final boolean autocorrect

    - #### enableSuggestions

          public final boolean enableSuggestions

    - #### textCapitalization

          @NonNull
          public final TextInputChannel.TextCapitalization textCapitalization

    - #### inputType

          @NonNull
          public final TextInputChannel.InputType inputType

    - #### inputAction

          @Nullable
          public final Integer inputAction

    - #### actionLabel

          @Nullable
          public final String actionLabel

    - #### autofill

          @Nullable
          public final TextInputChannel.Configuration.Autofill autofill

    - #### fields

          @Nullable
          public final TextInputChannel.Configuration[] fields

  - ### Constructor Detail

    - #### Configuration

          public Configuration(boolean obscureText,
                               boolean autocorrect,
                               boolean enableSuggestions,
                               @NonNull
                               TextInputChannel.TextCapitalization textCapitalization,
                               @NonNull
                               TextInputChannel.InputType inputType,
                               @Nullable
                               Integer inputAction,
                               @Nullable
                               String actionLabel,
                               @Nullable
                               TextInputChannel.Configuration.Autofill autofill,
                               @Nullable
                               TextInputChannel.Configuration[] fields)

  - ### Method Detail

    - #### fromJson

          public static TextInputChannel.Configuration fromJson(@NonNull
                                                                JSONObject json)
                                                         throws JSONException,
                                                                NoSuchFieldException

      Throws:
        `JSONException`
        `NoSuchFieldException`